Bug 127609 - eog hangs on open image
eog hangs on open image
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Carl Worth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-10 17:55 EDT by Carlos Rodrigues
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:26:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Rodrigues 2004-07-10 17:55:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040620

Description of problem:
Sometimes when I try to open an image (jpg at least), the eog window
pops up with no image loaded, apparently frozen.

This only happens sometimes and closing the window and trying to open
the picture again usually works.

How reproducible:
Sometimes, not very frequent


Steps to Reproduce:
1.go to a directory with pictures
2.open one with eog
   

Actual Results:  Sometimes eog opens but no image shows.

Expected Results:  eog should always open the selected image.
Comment 1 Carlos Rodrigues 2004-07-11 00:26:36 EDT
It may not be very helpful (since it has no debugging symbols), but
this is a stack trace from eog from one time this problem happened
(from gdb):

#0  0x00c26402 in ?? ()
#1  0x0024c9de in poll () from /lib/tls/libc.so.6
#2  0x00514da6 in g_main_loop_get_context () from
/usr/lib/libglib-2.0.so.0
#3  0x005141e0 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#4  0x005148a3 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#5  0x001200a8 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#6  0x080533e8 in main ()


And this is one from pstack:

15978: eog file:///home/carlos/Desktop/files/Imagens/Camedia/p7070111.jpg
(No symbols found)
0x00c26402: ???? (8d68558, b, ffffffff, 513aa1, 8b83c8c, 0) + 10
0x00514da6: ???? (8b83c88, ffffffff, 7fffffff, 8d68558, b, 8b8fbe0) + 30
0x005141e0: ???? (8b83c88, 1, 1, 8b62e10, 4f1e4c, 154238) + 20
0x005148a3: ???? (8b8fbe0, 8b8fbe0, 0, 8b83c8c, 8b64eb8, 44)
0x001200a8: ???? (8053150, 8b64eb8, feef2de0, 0, 0, 0) + 60
0x080533e8: ???? (2, feef2ea4, feef2eb0, f701a2e0, 2b1ffc, 0) + 40
0x001afad4: ???? (8053240, 2, feef2ea4, 805951c, 8059564, 18e120) +
110d168
Comment 2 Carlos Rodrigues 2004-07-11 00:28:39 EDT
There is something else, the shell for eog does not freeze, only the
area where the image is supposed to open gets "unrefreshed". But I
guess that can be infered from the traces above (calls into bonobo).
Comment 3 Marco Pesenti Gritti 2004-11-09 09:22:29 EST
To be able to do something about this we will need a stack trace
(possibly with symbols) of the bonobo component (if you are using
still fc2, on fc3 a stack trace of eog will work).

To get a stack trace of the component you will need to run in a
terminal gdb /usr/libexec/eog-* (sorry I dont remember the executable
name exactly) and then run eog.
Comment 4 John Thacker 2006-10-28 13:26:10 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported version and
retest.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.